.advanced.icon {
  + .advanced.icon {
    right: 2rem !important;
  }
  &.eye {
    opacity: 1 !important;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 1rem;
    &:after, &:before {
      content: none !important;
    }
    @media screen and (max-width: 1024px) {
      background-size: 1.375rem;
    }
  }
  &.eye:not(.open) {
    background-image: url("~assets/svg/icons/i-eye-close.svg");
  }
  &.eye.open {
    background-image: url("~assets/svg/icons/i-eye-open.svg");
  }
  &.remove {
    background-image: url("~assets/svg/icons/i-close.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 1em;
    &:after, &:before {
      content: none !important;
    }
  }
  &.filter {
    display: block;
    margin: auto;
    width: 1rem !important;
    height: 1rem !important;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg class='svg' fill='%23fff' xmlns='http://www.w3.org/2000/svg' x='0px' y='0px' width='402.577px' height='402.577px' viewBox='0 0 402.577 402.577' style='enable-background:new 0 0 402.577 402.577;' xml:space='preserve'%3E%3Cpath d='M400.858,11.427c-3.241-7.421-8.85-11.132-16.854-11.136H18.564c-7.993,0-13.61,3.715-16.846,11.136 c-3.234,7.801-1.903,14.467,3.999,19.985l140.757,140.753v138.755c0,4.955,1.809,9.232,5.424,12.854l73.085,73.083 c3.429,3.614,7.71,5.428,12.851,5.428c2.282,0,4.66-0.479,7.135-1.43c7.426-3.238,11.14-8.851,11.14-16.845V172.166L396.861,31.413 C402.765,25.895,404.093,19.231,400.858,11.427z'/%3E%3C/svg%3E");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    &:after, &:before {
      content: none;
    }
    @media screen and (max-width: 1024px) {
      width: 1.25rem !important;
      height: 1.25rem !important;
    }
  }
  &.search {
    display: inline-block;
    vertical-align: middle !important;
    width: 1em !important;
    height: 1.5rem !important;
    background-image: url("~assets/svg/icons/i-search.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    &:after, &:before {
      content: none;
    }
  }
}
input[type=text] + .advanced.icon.eye {
  background-image: url("~assets/svg/icons/i-eye-open.svg");
}

